# Python 2.4
%global __python python
%global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")

# Python 2.6
%global __python26 /usr/bin/python2.6
%global python26_sitelib %(%{__python26} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")

%global srcname importlib

Name:           python-importlib
Version:        1.0.2
Release:        3%{?dist}
Summary:        Backport of importlib.import_module() from Python 2.7

Group:          Development/Languages
License:        Python
URL:            http://pypi.python.org/pypi/importlib
Source0:        http://pypi.python.org/packages/source/i/importlib/importlib-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
Conflicts:      python(abi) = 2.7

%description
This package contains the code from importlib as found in Python 2.7.
It is provided so that people who wish to use importlib.import_module()
with a version of Python prior to 2.7 or in 3.0 have the function
readily available. The code in no way deviates from what can be found
in the 2.7 trunk.

%package -n python26-%{srcname}
Summary:        Backport of importlib.import_module() from Python 2.7
Group:          Development/Languages
BuildRequires:  python26-devel
Requires:       python26

%description -n python26-%{srcname}
This package contains the code from importlib as found in Python 2.7.
It is provided so that people who wish to use importlib.import_module()
with a version of Python prior to 2.7 or in 3.0 have the function
readily available. The code in no way deviates from what can be found
in the 2.7 trunk.

%prep
%setup -q -n importlib-%{version}

%build
%{__python} setup.py build
%{__python26} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot}
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*

%files -n python26-%{srcname}
%defattr(-,root,root,-)
%doc README
%{python26_sitelib}/*

%changelog
* Tue Aug 5 2014 Erik Johsnon <erik@saltstack.com> 1.0.2-3
- Add python26 package

* Tue Jun 21 2011 Andrew Colin Kissa <andrew@topdog.za.net> 1.0.2-1
- Initial package
